package com.uas.platform.core.concurrent;

/**
 * 能传入参数执行的callable
 * 
 * @author yingp
 * 
 * @param <V>
 *            返回结果类型
 * @param <T>
 *            参数类型
 */
public abstract interface ICallable<V, T> {

	public abstract V call(T param) throws Exception;

}
