package com.uas.platform.core.data.support;

import java.io.Serializable;
import java.util.Date;

import com.uas.platform.core.model.Operation;

/**
 * 记录
 * 
 * @author yingp
 * 
 */
public abstract class Logable implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 企业uu
	 * 
	 * @return
	 */
	public abstract void setEnUU(Long enUU);

	/**
	 * 个人uu
	 * 
	 * @return
	 */
	public abstract void setUserUU(Long userUU);

	/**
	 * 记录时间
	 * 
	 * @return
	 */
	public abstract void setTime(Date time);

	/**
	 * 数据所在表
	 * 
	 * @return
	 */
	public abstract void setTable(String table);

	/**
	 * 主键值
	 * 
	 * @return
	 */
	public abstract void setKey(Long key);

	/**
	 * 类型
	 * 
	 * @see Operation
	 * @return
	 */
	public abstract void setType(String type);

	/**
	 * 其它描述
	 * 
	 * @return
	 */
	public abstract void setDesc(String desc);
}
