package com.uas.platform.core.util.mq;

import java.io.BufferedReader;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;
import java.net.URLEncoder;
import java.util.Date;

import org.dom4j.Document;
import org.dom4j.DocumentException;
import org.dom4j.Element;
import org.dom4j.io.SAXReader;

/**
 * @author yujia
 * @version 创建时间：2016年1月21日 下午4:13:34 发送短信的类
 */
public class SmsBase {
	/**
	 * 2016年1月21日 下午4:25:41
	 * 
	 * @param List
	 *            <String> mobile 存放号码的List
	 * @param content
	 *            需要发送的信息 返回的值 是发送成功的信息
	 * @author yujia 发送短信的接口
	 * @throws DocumentException
	 */
	public static MessageLog SendSms(String content, String mobile, String operatorName) throws UnsupportedEncodingException,
			DocumentException {
		URLConnection conn = null;
		String result = "-20";
		String res = "";
		StringBuilder sb = new StringBuilder();
		sb.append("http://inter.ueswt.com/sms.aspx/?");
		sb.append("action=").append("send");
		sb.append("&userid=").append("13809");
		sb.append("&account=").append("szyrkj");
		sb.append("&password=").append("123456qwe");
		sb.append("&mobile=").append(mobile);
		sb.append("&content=").append(URLEncoder.encode(content + " 退订回T 【优软科技】", "UTF-8"));
		sb.append("&sendTime=").append("");
		sb.append("&extno=").append("");
		try {
			URL url = new URL(sb.toString());
			conn = url.openConnection();
			conn.setRequestProperty("accept", "*/*");
			conn.setRequestProperty("connection", "Keep-Alive");
			conn.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)");
			conn.connect();
			BufferedReader rd = new BufferedReader(new InputStreamReader(conn.getInputStream()));
			while ((result = rd.readLine()) != null) {
				res = res + result;
			}
			rd.close();
		} catch (MalformedURLException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		} finally {

		}
		MessageLog log = getSuccessMes(res);
		log.setSendTime(new Date());
		log.setSendFailureCount(log.getSendCount() - log.getSendSuccCount());
		log.setOperater(operatorName);
		log.setSendType("market");
		return log;
	}

	public static MessageLog getSuccessMes(String xml) throws UnsupportedEncodingException, DocumentException {
		MessageLog notoLog = new MessageLog();
		if (xml == null || xml.isEmpty()) {
			System.out.println("没有返回的数据，无法解析");
		}
		SAXReader saxReader = new SAXReader();
		Document doc = saxReader.read(new ByteArrayInputStream(xml.getBytes("UTF-8")));
		Element root = doc.getRootElement();
		Element eleSucc = root.element("successCounts");
		Element eleSurplus = root.element("remainpoint");
		notoLog.setSendSuccCount(Integer.parseInt(eleSucc.getText()));
		notoLog.setSurplus(Integer.parseInt(eleSurplus.getText()));
		return notoLog;
	}
}
